Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002124TestLinkCustom fieldspublic2009-02-18 13:172010-01-13 21:43
ReporterAmaradana 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version1.8.2 
Summary0002124: Importing/EXporting Custom fields into test case
DescriptionCustom Fields :
When we import a test cases only 4 Standard fields and with custom fields are Exported , So when importing a custom field with excel it is not taking the custom field value when imported. If there is also facility to imoport the custom fieldfs that would be great
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE 7
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespdf file icon tl-file-formats.pdf [^] (159,224 bytes) 2009-02-19 15:14
xml file icon testcases.xml [^] (869 bytes) 2009-02-21 15:30
png file icon screen_shot.PNG [^] (83,323 bytes) 2009-02-21 15:32

- Relationships

-  Notes
(0005533)
fman (administrator)
2009-02-19 01:26

Custom field import/ export is only SUPPORTED ON XML.
(0005541)
Amaradana (reporter)
2009-02-19 13:18

When a test case is imported, custom fiields are exported successfully with standard fields via XML. When i tried importing it via xml, the values in custom field did not get dumped in test case, where as all other standard fields are dumped and visible. So i will try once again and let you know the status. Thanks
(0005542)
fman (administrator)
2009-02-19 15:14

Please get last CVS and re-test.
here updated pdf about formats that you will get with last CVS tarball
(0005569)
Amaradana (reporter)
2009-02-21 15:30

This is the file used. Though i have imported via xml, except the custom fields all standard fields were done,. I only gave value to one custom field that also did not get the value. please find the attached file
(0005571)
fman (administrator)
2009-02-21 18:52

Just a silly thing:

Custom Field MUST EXIST AND BE LINKED to right test project to allow it's value to be imported with TEST CASES
(0005582)
fman (administrator)
2009-02-23 15:45

Please give better details, i.e.

1. detailed steps to do test
2. Expected results
3. Actual results, highlighting problems

Images are useful, but detailed explanations are a must.

I'm not able got any problem .
(0007047)
Amaradana (reporter)
2009-05-26 17:32

This is working fine, I Verified in 1.8.2. all the custom fields are imported via xml.
(0007048)
fman (administrator)
2009-05-26 17:49

good!

- Issue History
Date Modified Username Field Change
2009-02-18 13:17 Amaradana New Issue
2009-02-18 13:17 Amaradana Browser => IE 7
2009-02-19 01:26 fman Note Added: 0005533
2009-02-19 13:18 Amaradana Note Added: 0005541
2009-02-19 15:14 fman Note Added: 0005542
2009-02-19 15:14 fman File Added: tl-file-formats.pdf
2009-02-20 01:13 fman Status new => feedback
2009-02-21 15:30 Amaradana Note Added: 0005569
2009-02-21 15:30 Amaradana File Added: testcases.xml
2009-02-21 15:32 Amaradana File Added: screen_shot.PNG
2009-02-21 18:52 fman Note Added: 0005571
2009-02-23 15:45 fman Status feedback => assigned
2009-02-23 15:45 fman Assigned To => fman
2009-02-23 15:45 fman Note Added: 0005582
2009-02-23 15:45 fman Status assigned => feedback
2009-05-26 17:32 Amaradana Note Added: 0007047
2009-05-26 17:49 fman Note Added: 0007048
2009-05-26 17:50 fman Status feedback => resolved
2009-05-26 17:50 fman Fixed in Version => 1.8.2
2009-05-26 17:50 fman Resolution open => fixed
2010-01-13 21:43 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker